/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLCanvasElement_H__
#define __GdomHTMLCanvasElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomCanvasRenderingContext2D.h"
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLCanvasElement GdomHTMLCanvasElement;
typedef struct _GdomHTMLCanvasElementClass GdomHTMLCanvasElementClass;


#define GDOM_TYPE_HTML_CANVAS_ELEMENT            (gdom_html_canvas_element_get_type())
#define GDOM_HTML_CANVAS_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_CANVAS_ELEMENT, GdomHTMLCanvasElement))
#define GDOM_HTML_CANVAS_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_CANVAS_ELEMENT, GdomHTMLCanvasElement)Class)
#define GDOM_IS_HTML_CANVAS_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_CANVAS_ELEMENT))
#define GDOM_IS_HTML_CANVAS_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_CANVAS_ELEMENT))
#define GDOM_HTML_CANVAS_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_CANVAS_ELEMENT, GdomHTMLCanvasElementClass))

typedef struct _GdomHTMLCanvasElementPrivate GdomHTMLCanvasElementPrivate;

struct _GdomHTMLCanvasElement {
    GdomHTMLElement parent_instance;
    GdomHTMLCanvasElementPrivate *priv;
};

struct _GdomHTMLCanvasElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_canvas_element_get_type (void);

WEBKIT_API gchar *
gdom_html_canvas_element_to_data_url (GdomHTMLCanvasElement *thiz, gchar * type);

G_END_DECLS

#endif /* __GdomHTMLCanvasElement_H__ */
